%define name	pycrypto
%define version	1.9a6
%define release	1mdk

Summary:	Python interface to various crypto algorithms and protocols
Name:		%name
Version:	%version
Release:	%release
Source0:	%name-%version.tar.bz2
License:	GPL
Group:		Development/Python
URL:		http://www.amk.ca/python/code/crypto.html
BuildRequires:	python-devel >= 2.0
Requires:	python >= 2.0
BuildRoot:	%_tmppath/%name-buildroot

%description
The Toolkit is a collection of cryptographic algorithms and protocols,
implemented for use from Python. The current release is 1.9alpha6. Among
the contents of the package:

 * Hash functions: MD2, MD4, RIPEMD.
 * Block encryption algorithms: AES, ARC2, Blowfish, CAST, DES, Triple-
   DES, IDEA, RC5.
 * Stream encryption algorithms: ARC4, simple XOR.
 * Public-key algorithms: RSA, DSA, ElGamal, qNEW.
 * Protocols: All-or-nothing transforms, chaffing/winnowing.
 * Miscellaneous: RFC1751 module for converting 128-key keys into a set
   of English words, primality testing.
 * Some demo programs (currently all quite old and outdated).

%prep

%setup -q

%build

CFLAGS="%optflags" python setup.py build

%install
rm -rf %buildroot

python setup.py install \
    --root="%buildroot" \
    --record="INSTALLED_FILES"

%clean
rm -rf %buildroot

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc ChangeLog README LICENSE README TODO

%changelog
* Wed Sep 17 2003 Han Boetes <han@linux-mandrake.com> 1.9a6-1mdk
- initial cooker contrib
- You know this is a pythone-twisted dep!
- Let me add a few more exclamationmarks. !!!!
- Now try ``conch ssh-host-foo'' :)
